<?php

namespace App\Classes\Modules\Receipts\Services;


class GeneratesReceiptBillNo
{

    
    private $receiptBillNoExists;

   
    public function __construct(ChecksIfReceiptBillNoExists $receiptBillNoExists)
    {
        $this->receiptBillNoExists = $receiptBillNoExists;
    }


   
    public function execute(): int {

        $code = mt_rand(100000001, 999999999);
        return !$this->receiptBillNoExists->execute($code) ? $code : self::execute();

    }

}